﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FQ.MD.WEB.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;

    public partial class Entities : DbContext
    {
        public Entities()
            : base("name=Entities")
        {
        }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }

        public DbSet<GT_LOG_APP_ERRORS> GT_LOG_APP_ERRORS { get; set; }
        public DbSet<GT_LOG_WEB_ACTIVITIES> GT_LOG_WEB_ACTIVITIES { get; set; }
        public DbSet<GT_MASTER_COMPANIES> GT_MASTER_COMPANIES { get; set; }
        public DbSet<GT_MASTER_GROUPS> GT_MASTER_GROUPS { get; set; }
        public DbSet<GT_MASTER_MENUS> GT_MASTER_MENUS { get; set; }
        public DbSet<GT_MASTER_MODULES> GT_MASTER_MODULES { get; set; }
        public DbSet<GT_MASTER_ROLE_MENUS> GT_MASTER_ROLE_MENUS { get; set; }
        public DbSet<GT_MASTER_ROLES> GT_MASTER_ROLES { get; set; }
        public DbSet<GT_MASTER_STATUS> GT_MASTER_STATUS { get; set; }
        public DbSet<GT_MASTER_USER_ROLES> GT_MASTER_USER_ROLES { get; set; }
        public DbSet<GT_MASTER_USERS> GT_MASTER_USERS { get; set; }
    }
}
